Abandon le 28-12-18 [abandon] Bug gestionnaire mises a jour

Assistance concernant Linux Mint
Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Dernier message de la page précédente :

pour sudo apt update

Code : Tout sélectionner

Réception de:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
Atteint:2 http://archive.ubuntu.com/ubuntu xenial InRelease                                                         
Atteint:3 http://ppa.launchpad.net/webupd8team/tor-browser/ubuntu xenial InRelease                                  
Réception de:4 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]                                   
Atteint:5 http://archive.canonical.com/ubuntu xenial InRelease                                                      
Ign:6 http://packages.linuxmint.com sylvia InRelease                                                                
Atteint:7 http://packages.linuxmint.com sylvia Release                                                              
Réception de:9 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]                                 
Atteint:10 https://dl.winehq.org/wine-builds/ubuntu xenial InRelease
323 ko réceptionnés en 1s (247 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
Pour sudo apt dist-upgrade

Code : Tout sélectionner

denis@Salon ~ $ sudo apt dist-upgrade
E: dpkg a été interrompu. Il est nécessaire d'utiliser « sudo dpkg --configure -a » pour corriger le problème.
denis@Salon ~ $ sudo dpkg --configure -a
Paramétrage de systemd (229-4ubuntu21.2) ...

Fichier de configuration « /etc/systemd/logind.conf »
 ==> Fichier du système créé par vous ou par un script.
 ==> Fichier également présent dans le paquet fourni par le responsable du paquet.
   Que voulez-vous faire ? Vos options sont les suivantes :
    Y ou I  : installer la version du responsable du paquet
    N ou O  : garder votre version actuellement installée
      D     : afficher les différences entre les versions
      Z     : suspendre ce processus pour examiner la situation
 L'action par défaut garde votre version actuelle.
*** logind.conf (Y/I/N/O/D/Z) [défaut=N] ? y
Installation de la nouvelle version du fichier de configuration /etc/systemd/logind.conf ...
addgroup: Le groupe « systemd-journal » existe déjà en tant que groupe système. Fin de la procédure.
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Avatar du membre
f.x0
Messages : 322
Enregistré le : mar. 28 mars 2017 18:32

Re: Bug gestionnaire mises a jour

Message par f.x0 »

et si tu refais

Code : Tout sélectionner

sudo apt update
puis

Code : Tout sélectionner

sudo apt dist-upgrade
désolé pour la répétition mais c'est nécessaire :roll:

tu as toujours un message d'erreur ???
postes les retour ENTIERS de ces commandes
SOPI

Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Pour sudo apt update

Code : Tout sélectionner

[sudo] Mot de passe de denis : 
Réception de:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
Atteint:2 http://archive.ubuntu.com/ubuntu xenial InRelease                    
Ign:3 http://packages.linuxmint.com sylvia InRelease                           
Atteint:4 https://dl.winehq.org/wine-builds/ubuntu xenial InRelease            
Atteint:5 http://packages.linuxmint.com sylvia Release                         
Réception de:6 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]
Réception de:8 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
Atteint:9 http://ppa.launchpad.net/webupd8team/tor-browser/ubuntu xenial InRelease
Atteint:10 http://archive.canonical.com/ubuntu xenial InRelease                
323 ko réceptionnés en 5s (57,3 ko/s)                          
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
Pour sudo apt dist-upgrade

Code : Tout sélectionner

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  ca-certificates distro-info-data gir1.2-glib-2.0 gist initscripts insserv
  inxi iso-codes iso-flag-png libgdbm3 libgirepository-1.0-1
  libgnomekbd-common libgnomekbd8 libice6 libncurses5 libpci3 libprocps4
  libruby2.3 libsm6 libvte-common libvte9 libxapp1 libxaw7 libxkbfile1
  libxklavier16 libxmu6 libxpm4 libxt6 libyaml-0-2 lsb-release mintsources
  openssl pciutils procps python-vte python3-gi python3-psutil python3-xapp
  rake ruby ruby-did-you-mean ruby-json ruby-minitest ruby-net-telnet
  ruby-power-assert ruby-test-unit ruby2.3 rubygems-integration synaptic
  sysv-rc x11-common x11-xkb-utils xapps-common xdg-utils
0 mis à jour, 54 nouvellement installés, 0 à enlever et 0 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/16,4 Mo dans les archives.
Après cette opération, 59,2 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
Paramétrage de python3 (3.5.1-3) ...
running python rtupdate hooks for python3.5...
dpkg-query: paquet « apt-xapian-index » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of apt-xapian-index
error running python rtupdate hook apt-xapian-index
dpkg-query: paquet « gdebi-core » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi-core
error running python rtupdate hook gdebi-core
dpkg-query: paquet « gdebi » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi
error running python rtupdate hook gdebi
dpkg-query: paquet « hplip-data » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of hplip-data
error running python rtupdate hook hplip-data
dpkg-query: paquet « python3-uno » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: paquet « rhythmbox-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg-query: paquet « rhythmbox » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox
error running python rtupdate hook rhythmbox
dpkg-query: paquet « soundconverter » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of soundconverter
error running python rtupdate hook soundconverter
dpkg-query: paquet « ubuntu-drivers-common » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of ubuntu-drivers-common
error running python rtupdate hook ubuntu-drivers-common
dpkg-query: paquet « xviewer-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of xviewer-plugins
error running python rtupdate hook xviewer-plugins
dpkg: erreur de traitement du paquet python3 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
dpkg: des problèmes de dépendances empêchent la configuration de dh-python :
 dh-python dépend de python3:any (>= 3.3.2-2~) ; cependant :
 Le paquet python3 n'est pas encore configuré.

dpkg: erreur de traitement du paquet dh-python (--configure) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 python3
 dh-python
E: Sub-process /usr/bin/dpkg returned an error code (1)
Désolé pour les temps de réponse mais les enfants sont en vacances et je fais le taxi un peu dans tout les sens
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Avatar du membre
f.x0
Messages : 322
Enregistré le : mar. 28 mars 2017 18:32

Re: Bug gestionnaire mises a jour

Message par f.x0 »

Comme je le suspectais, il reste des problèmes avec des dépendances.
C'est sûrement lié à la mauvaise utilisation précédente des PPA.

Postes le retour de

Code : Tout sélectionner

apt-cache madison  python3

Code : Tout sélectionner

dpkg -l  python3

Code : Tout sélectionner

apt-cache madison  dh-python

Code : Tout sélectionner

dpkg -l  dh-python
puis de

Code : Tout sélectionner

sudo apt dist-upgrade -f
SOPI

Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Pour apt-cache madison python3

Code : Tout sélectionner

python3 |    3.5.1-3 | http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
Pour dpkg -l python3

Code : Tout sélectionner

Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
iF  python3        3.5.1-3      amd64        interactive high-level object-ori
Pour apt-cache madison dh-python

Code : Tout sélectionner

 dh-python | 2.20151103ubuntu1.1 | http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages
 dh-python | 2.20151103ubuntu1.1 | http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages
 dh-python | 2.20151103ubuntu1 | http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
 dh-python | 2.20151103ubuntu1 | http://archive.ubuntu.com/ubuntu xenial/main i386 Packages
Pour dpkg -l dh-python

Code : Tout sélectionner

Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom            Version      Architecture Description
+++-==============-============-============-=================================
ii  dh-python      2.20151103ub all          Debian helper tools for packaging
Pour sudo apt dist-upgrade -f

Code : Tout sélectionner

[sudo] Mot de passe de denis : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les NOUVEAUX paquets suivants seront installés :
  ca-certificates distro-info-data gir1.2-glib-2.0 gist initscripts insserv
  inxi iso-codes iso-flag-png libgdbm3 libgirepository-1.0-1
  libgnomekbd-common libgnomekbd8 libice6 libncurses5 libpci3 libprocps4
  libruby2.3 libsm6 libvte-common libvte9 libxapp1 libxaw7 libxkbfile1
  libxklavier16 libxmu6 libxpm4 libxt6 libyaml-0-2 lsb-release mintsources
  openssl pciutils procps python-vte python3-gi python3-psutil python3-xapp
  rake ruby ruby-did-you-mean ruby-json ruby-minitest ruby-net-telnet
  ruby-power-assert ruby-test-unit ruby2.3 rubygems-integration synaptic
  sysv-rc x11-common x11-xkb-utils xapps-common xdg-utils
Les paquets suivants seront mis à jour :
  libssl1.0.0
1 mis à jour, 54 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 1 575 ko/17,5 Mo dans les archives.
Après cette opération, 59,2 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 libssl1.0.0 amd64 1.0.2g-1ubuntu4.13 [1 083 kB]
Réception de:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 openssl amd64 1.0.2g-1ubuntu4.13 [492 kB]
1 575 ko réceptionnés en 5s (275 ko/s)
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
Paramétrage de python3 (3.5.1-3) ...
running python rtupdate hooks for python3.5...
dpkg-query: paquet « apt-xapian-index » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of apt-xapian-index
error running python rtupdate hook apt-xapian-index
dpkg-query: paquet « gdebi-core » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi-core
error running python rtupdate hook gdebi-core
dpkg-query: paquet « gdebi » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi
error running python rtupdate hook gdebi
dpkg-query: paquet « hplip-data » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of hplip-data
error running python rtupdate hook hplip-data
dpkg-query: paquet « python3-uno » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: paquet « rhythmbox-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg-query: paquet « rhythmbox » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox
error running python rtupdate hook rhythmbox
dpkg-query: paquet « soundconverter » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of soundconverter
error running python rtupdate hook soundconverter
dpkg-query: paquet « ubuntu-drivers-common » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of ubuntu-drivers-common
error running python rtupdate hook ubuntu-drivers-common
dpkg-query: paquet « xviewer-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of xviewer-plugins
error running python rtupdate hook xviewer-plugins
dpkg: erreur de traitement du paquet python3 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
Des erreurs ont été rencontrées pendant l'exécution :
 python3
E: Sub-process /usr/bin/dpkg returned an error code (1)
Pour info en voulant installer une mise à jour niveau 2 openssl j'ai l'erreur suivante

Code : Tout sélectionner

E: python3: le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
Et dans le terminal

Code : Tout sélectionner

Préconfiguration des paquets...
(Lecture de la base de données... 14437 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libssl1.0.0_1.0.2g-1ubuntu4.13_amd64.deb ...
Dépaquetage de libssl1.0.0:amd64 (1.0.2g-1ubuntu4.13) sur (1.0.2g-1ubuntu4.12) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Paramétrage de python3 (3.5.1-3) ...
running python rtupdate hooks for python3.5...
dpkg-query: paquet « apt-xapian-index » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of apt-xapian-index
error running python rtupdate hook apt-xapian-index
dpkg-query: paquet « gdebi-core » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi-core
error running python rtupdate hook gdebi-core
dpkg-query: paquet « gdebi » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi
error running python rtupdate hook gdebi
dpkg-query: paquet « hplip-data » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of hplip-data
error running python rtupdate hook hplip-data
dpkg-query: paquet « python3-uno » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: paquet « rhythmbox-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg-query: paquet « rhythmbox » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox
error running python rtupdate hook rhythmbox
dpkg-query: paquet « soundconverter » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of soundconverter
error running python rtupdate hook soundconverter
dpkg-query: paquet « ubuntu-drivers-common » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of ubuntu-drivers-common
error running python rtupdate hook ubuntu-drivers-common
dpkg-query: paquet « xviewer-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of xviewer-plugins
error running python rtupdate hook xviewer-plugins
dpkg: erreur de traitement du paquet python3 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
Paramétrage de libssl1.0.0:amd64 (1.0.2g-1ubuntu4.13) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.23-0ubuntu10) ...
Des erreurs ont été rencontrées pendant l'exécution :
 python3
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de récupération :
Paramétrage de python3 (3.5.1-3) ...
running python rtupdate hooks for python3.5...
dpkg-query: paquet « apt-xapian-index » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of apt-xapian-index
error running python rtupdate hook apt-xapian-index
dpkg-query: paquet « gdebi-core » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi-core
error running python rtupdate hook gdebi-core
dpkg-query: paquet « gdebi » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi
error running python rtupdate hook gdebi
dpkg-query: paquet « hplip-data » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of hplip-data
error running python rtupdate hook hplip-data
dpkg-query: paquet « python3-uno » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: paquet « rhythmbox-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg-query: paquet « rhythmbox » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox
error running python rtupdate hook rhythmbox
dpkg-query: paquet « soundconverter » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of soundconverter
error running python rtupdate hook soundconverter
dpkg-query: paquet « ubuntu-drivers-common » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of ubuntu-drivers-common
error running python rtupdate hook ubuntu-drivers-common
dpkg-query: paquet « xviewer-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of xviewer-plugins
error running python rtupdate hook xviewer-plugins
dpkg: erreur de traitement du paquet python3 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
Des erreurs ont été rencontrées pendant l'exécution :
 python3
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Avatar du membre
f.x0
Messages : 322
Enregistré le : mar. 28 mars 2017 18:32

Re: Bug gestionnaire mises a jour

Message par f.x0 »

Tu as un gros problème avec la configuration de python3

Je pense qu'il faut forcer la purge
car en purgeant sans forcer tu vas avoir un tas de dépendances qui vont être supprimées (firefox, etc, etc ...)

pour cela tapes

Code : Tout sélectionner

sudo dpkg --purge --force-all python3
puis on tente la réinstallation propre de python3

Code : Tout sélectionner

sudo apt install --reinstall -f python3
postes le retour des commandes stp
SOPI

Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Pour sudo dpkg --purge --force-all python3

Code : Tout sélectionner

[sudo] Mot de passe de denis : 
dpkg: python3 : problème de dépendance, mais suppression comme demandé :
 dh-python dépend de python3:any (>= 3.3.2-2~).

(Lecture de la base de données... 14430 fichiers et répertoires déjà installés.)
Suppression de python3 (3.5.1-3) ...
Purge des fichiers de configuration de python3 (3.5.1-3) ...
Pour sudo apt install --reinstall -f python3

Code : Tout sélectionner

sudo apt install --reinstall -f python3
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Code : Tout sélectionner

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  adwaita-icon-theme adwaita-icon-theme-full dconf-gsettings-backend dconf-service fontconfig fontconfig-config
  fonts-dejavu-core glib-networking glib-networking-common glib-networking-services gsettings-desktop-schemas
  hicolor-icon-theme libapt-inst2.0 libasn1-8-heimdal libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0
  libavahi-client3 libavahi-common-data libavahi-common3 libboost-filesystem1.58.0 libboost-system1.58.0 libbsd0
  libcairo-gobject2 libcairo2 libcapnp-0.5.3 libcolord2 libcroco3 libcups2 libcurl3-gnutls libdatrie1 libdbus-1-3
  libdconf1 libdrm-amdgpu1 libdrm-common libdrm-intel1 libdrm-nouveau2 libdrm-radeon1 libdrm2 libedit2 libegl1-mesa
  libelf1 libepoxy0 libept1.5.0 libffi6 libfontconfig1 libfreetype6 libgbm1 libgdk-pixbuf2.0-0
  libgdk-pixbuf2.0-common libgl1-mesa-dri libglade2-0 libglapi-mesa libglib2.0-0 libgnutls30 libgraphite2-3
  libgssapi-krb5-2 libgssapi3-heimdal libgtk-3-0 libgtk-3-common libgtk2.0-0 libgtk2.0-common libharfbuzz0b
  libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhogweed4 libhx509-5-heimdal libicu55 libidn11
  libjbig0 libjpeg-turbo8 libjpeg8 libjson-glib-1.0-0 libjson-glib-1.0-common libk5crypto3 libkeyutils1
  libkrb5-26-heimdal libkrb5-3 libkrb5support0 liblcms2-2 libldap-2.4-2 libllvm5.0 libmirclient9 libmircommon7
  libmircore1 libmirprotobuf3 libnettle6 libp11-kit0 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0
  libpciaccess0 libpixman-1-0 libpng12-0 libprotobuf-lite9v5 libproxy1v5 libpython-stdlib libpython2.7-minimal
  libpython2.7-stdlib librest-0.7-0 libroken18-heimdal librsvg2-2 librsvg2-common librtmp1 libsasl2-2
  libsasl2-modules-db libsensors4 libsoup-gnome2.4-1 libsoup2.4-1 libtasn1-6 libthai-data libthai0 libtiff5
  libvte-2.91-0 libvte-2.91-common libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0
  libwind0-heimdal libx11-6 libx11-data libx11-xcb1 libxapian22v5 libxau6 libxcb-dri2-0 libxcb-dri3-0
  libxcb-present0 libxcb-render0 libxcb-shm0 libxcb-sync1 libxcb-xfixes0 libxcb1 libxcomposite1 libxcursor1
  libxdamage1 libxdmcp6 libxext6 libxfixes3 libxi6 libxinerama1 libxkbcommon0 libxml2 libxrandr2 libxrender1
  libxshmfence1 python python-cairo python-glade2 python-gobject-2 python-gtk2 python-minimal python-pycurl
  python2.7 python2.7-minimal shared-mime-info ucf xkb-data
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Paquets suggérés :
  python3-doc python3-tk python3-venv
Les NOUVEAUX paquets suivants seront installés :
  python3
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/8 710 o dans les archives.
Après cette opération, 68,6 ko d'espace disque supplémentaires seront utilisés.
Sélection du paquet python3 précédemment désélectionné.
(Lecture de la base de données... 14421 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../python3_3.5.1-3_amd64.deb ...
Dépaquetage de python3 (3.5.1-3) ...
Paramétrage de python3 (3.5.1-3) ...
running python rtupdate hooks for python3.5...
dpkg-query: paquet « apt-xapian-index » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of apt-xapian-index
error running python rtupdate hook apt-xapian-index
dpkg-query: paquet « gdebi-core » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi-core
error running python rtupdate hook gdebi-core
dpkg-query: paquet « gdebi » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of gdebi
error running python rtupdate hook gdebi
dpkg-query: paquet « hplip-data » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of hplip-data
error running python rtupdate hook hplip-data
dpkg-query: paquet « python3-uno » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of python3-uno
error running python rtupdate hook python3-uno
dpkg-query: paquet « rhythmbox-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox-plugins
error running python rtupdate hook rhythmbox-plugins
dpkg-query: paquet « rhythmbox » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of rhythmbox
error running python rtupdate hook rhythmbox
dpkg-query: paquet « soundconverter » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of soundconverter
error running python rtupdate hook soundconverter
dpkg-query: paquet « ubuntu-drivers-common » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of ubuntu-drivers-common
error running python rtupdate hook ubuntu-drivers-common
dpkg-query: paquet « xviewer-plugins » n'est pas installé
Utilisez dpkg --info (= dpkg-deb --info) pour examiner les fichiers
archives, et dpkg --contents (= dpkg-deb --contents) pour afficher leur
contenu.
Traceback (most recent call last):
  File "/usr/bin/py3clean", line 210, in <module>
    main()
  File "/usr/bin/py3clean", line 196, in main
    pfiles = set(dpf.from_package(options.package))
  File "/usr/share/python3/debpython/files.py", line 53, in from_package
    raise Exception("cannot get content of %s" % package_name)
Exception: cannot get content of xviewer-plugins
error running python rtupdate hook xviewer-plugins
dpkg: erreur de traitement du paquet python3 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 4
Des erreurs ont été rencontrées pendant l'exécution :
 python3
E: Sub-process /usr/bin/dpkg returned an error code (1)
Pardon
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Avatar du membre
tyrry
Messages : 5223
Enregistré le : mar. 21 juil. 2015 07:42
Localisation : à l'ouest

Re: Bug gestionnaire mises a jour

Message par tyrry »

Slt ,
de ce que je vois en rapidos , n'utilise pas la commande autoremove , il y a beaucoup trop de paquets
qui vont être supprimés , et a mon avis tu vas pété ton système ;)
Perso à ta place , tant que ça fonctionne , fait tes sauvegardes et réinstalle au propre ;)
Au finale tu gagneras une distro "propre" "fonctionnelle" et de surcroît cela te prendra pas plus de temps ...... ~ 20minutes~
@+
Desktop: LXDE Distro: Debian 10.X Buster
Kernel: 4.19.0-15-amd64 SSD:SAMSUNG 860 EVO 250 go
CPU: Intel Core i7-8559U RAM: 12 go Graphics Card: Intel Iris Plus Graphics 655

Avatar du membre
f.x0
Messages : 322
Enregistré le : mar. 28 mars 2017 18:32

Re: Bug gestionnaire mises a jour

Message par f.x0 »

si tu veux éviter la réinstallation tu peux tenter ceci :

Code : Tout sélectionner

sudo dpkg --purge --force-all python3

Code : Tout sélectionner

sudo dpkg --purge --force-all apt-xapian-index

Code : Tout sélectionner

sudo dpkg --purge --force-all gdebi-core

Code : Tout sélectionner

sudo dpkg --purge --force-all gdebi

Code : Tout sélectionner

sudo dpkg --purge --force-all hplip-data

Code : Tout sélectionner

sudo dpkg --purge --force-all python3-uno

Code : Tout sélectionner

sudo dpkg --purge --force-all rhythmbox-plugins

Code : Tout sélectionner

sudo dpkg --purge --force-all rhythmbox

Code : Tout sélectionner

sudo dpkg --purge --force-all soundconverter

Code : Tout sélectionner

sudo dpkg --purge --force-all ubuntu-drivers-common

Code : Tout sélectionner

sudo dpkg --purge --force-all xviewer-plugins
puis réinstaller

Code : Tout sélectionner

sudo apt install --reinstall -f apt-xapian-index gdebi-core gdebi hplip-data python3-uno rhythmbox-plugins rhythmbox soundconverter ubuntu-drivers-common xviewer-plugins python3
SOPI

Deuns
Messages : 31
Enregistré le : sam. 23 juin 2018 19:58
Localisation : Lauragais

Re: Bug gestionnaire mises a jour

Message par Deuns »

Merci à tout le monde pour votre aide précieuse mais j'ai voulu refaire une réinstallation et l’écran de mon imac ce divise en quatre et tout est illisible.
Je ne sais plus quoi faire...
Système d'exploitation : Linux Mint 18.3 Cinnamon 64-bit
Version de Cinnamon 3.6.7
Noyau Linux : 4.4.0-53-generic
Processeur : Intel Core 2 Duo CPU E7600 @ 3.06GHz x 2
Memoire Vive : 3.8 Go
Disques durs : 957.2 Go
Carte Graphique : Advanced Micro Devices, Inc. (AMD/ATI) RV730/M96-XT (Mobility Radeon HD 4670) (prog-if 00 (VGA controller)

Répondre